Bug 1863985 - libcouchbase: FTBFS in Fedora rawhide/f33
Summary: libcouchbase: FTBFS in Fedora rawhide/f33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libcouchbase
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F33FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-08-03 17:46 UTC by Fedora Release Engineering
Modified: 2020-09-25 16:49 UTC (History)
3 users (show)

Fixed In Version: libcouchbase-2.10.6-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-25 16:49:53 UTC
Type: ---


Attachments (Terms of Use)
build.log (9.59 KB, text/plain)
2020-08-03 17:46 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-08-03 17:46 UTC, Fedora Release Engineering
no flags Details
state.log (999 bytes, text/plain)
2020-08-03 17:46 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-08-03 17:46:26 UTC
libcouchbase failed to build from source in Fedora rawhide/f33

https://koji.fedoraproject.org/koji/taskinfo?taskID=47992655


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
Please fix libcouchbase at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
libcouchbase will be orphaned. Before branching of Fedora 34,
libcouchbase will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-08-03 17:46:28 UTC
Created attachment 1705423 [details]
build.log

Comment 2 Fedora Release Engineering 2020-08-03 17:46:30 UTC
Created attachment 1705424 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-08-03 17:46:31 UTC
Created attachment 1705425 [details]
state.log

Comment 4 Ben Cotton 2020-08-11 14:13:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 5 Ondřej Lysoněk 2020-09-07 10:51:17 UTC
Hi, what is the status here?

libcouchbase will need to be rebuilt soon due to a libevent rebase that I'm planning to do - the new libevent version comes with a soname bump. So if libcouchbase fails to build then, it will become unusable.

Thanks.

Comment 6 Remi Collet 2020-09-07 12:07:20 UTC
Fixed by https://src.fedoraproject.org/rpms/libcouchbase/c/d687d213565b3aa5b77b26fb40c41a8cbe3a530d?branch=master

But this is only a workaround, as upstream doesn't support build out of sources.
https://fedoraproject.org/wiki/Changes/CMake_to_do_out-of-source_builds

Comment 7 Fedora Update System 2020-09-07 12:14:59 UTC
FEDORA-2020-65b188e1bc has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-65b188e1bc

Comment 8 Remi Collet 2020-09-07 12:16:53 UTC
(In reply to Ondřej Lysoněk from comment #5)

> libcouchbase will need to be rebuilt soon due to a libevent rebase 

rawhide is now OK.

Comment 9 Ondřej Lysoněk 2020-09-07 12:35:45 UTC
That fixed it. Thanks a lot for the quick response.

Comment 10 Fedora Update System 2020-09-07 21:45:00 UTC
FEDORA-2020-65b188e1bc has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-65b188e1bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-65b188e1bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-25 16:49:53 UTC
FEDORA-2020-65b188e1bc has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.